html,
body {
    height: 100%;
    width: 100%;
}

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    font-family: "Roboto", "SF Pro SC", "SF Pro Display", "SF Pro Icons", "PingFang SC", BlinkMacSystemFont, -apple-system, "Segoe UI", "Microsoft Yahei", "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", "Helvetica", "Arial", sans-serif;
    font-weight: 400;
    margin: 0;
}

a {
    -webkit-transition: all 0.35s;
    -moz-transition: all 0.35s;
    transition: all 0.35s;
    color: #474157;
}

a:hover,
a:focus {
    color: #474157;
}

hr {
    max-width: 100px;
    margin: 25px auto 0;
    border-width: 1px;
    border-color: rgba(34, 34, 34, 0.1);
}

hr.light {
    border-color: white;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 200;
    letter-spacing: 1px;
}

p {
    font-size: 16px;
    line-height: 1.5;
    margin-bottom: 20px;
}

.navbar-white {
  background-color: #fff;
  border-color: #fff;
  box-shadow: 0 1px 8px rgba(0, 0, 0, 0.08);
}
.navbar-white .dropdown-menu {
  border-radius: 5px;
  -webkit-box-shadow: 0px 20px 30px rgba(83, 88, 93, 0.05), 0px 0px 30px rgba(83, 88, 93, 0.1);
  -moz-box-shadow: 0px 20px 30px rgba(83, 88, 93, 0.05), 0px 0px 30px rgba(83, 88, 93, 0.1);
  box-shadow: 0px 20px 30px rgba(83, 88, 93, 0.05), 0px 0px 30px rgba(83, 88, 93, 0.1);
}
@media (min-width: 768px) {
  .navbar-default .navbar-brand {
    height: 60px;
    line-height: 27px;
  }
  .navbar-default .navbar-nav > li > a {
    height: 60px;
    line-height: 27px;
  }
  .navbar-white .navbar-brand {
    height: 60px;
    line-height: 27px;
  }
  .navbar-white .navbar-nav > li > a {
    height: 60px;
    line-height: 27px;
    color: #555;
  }
  .navbar-white .navbar-nav > li > a:hover,
  .navbar-white .navbar-nav > li > a:focus {
    color: #007bff;
  }
  .navbar-white .navbar-nav > .active > a,
  .navbar-white .navbar-nav > .active > a:hover,
  .navbar-white .navbar-nav > .active > a:focus {
    background-color: inherit;
    color: #007bff;
  }
}
@media (max-width: 768px) {
  body {
    padding-top: 50px;
  }
  .navbar-white .navbar-nav .open .dropdown-menu {
    background: #eee;
  }
  .navbar-white .navbar-toggle {
    border-color: #ddd;
  }
  .navbar-white .navbar-toggle .icon-bar {
    background-color: #888;
  }
  .navbar-white .navbar-collapse.in {
    border-top-color: #f5f5f5;
  }
}
#header-navbar .dropdown:hover .dropdown-menu {
  display: block;
  margin-top: 0;
}
#header-navbar li.dropdown ul.dropdown-menu {
  min-width: 100px;
}
.navbar {
  border: none;
}
.navbar-nav > li > a {
  font-size: 14px;
}
.dropdown-menu > li > a {
  font-size: 14px;
  padding: 5px 20px;
}
.dropdown-menu {
  border-radius: 2px;
  border: 0px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
  padding: 5px 0px;
}
.dropdown-menu li a {
  padding-top: 10px !important;
  padding-bottom: 10px;
}
.dropdown-menu > li > a {
  font-weight: 400;
  color: #444;
  padding: 5px 15px;
  padding-bottom: 10px;
}
.dropdown-menu > li > a:hover,
.dropdown-menu > li > a:focus {
  text-decoration: none;
  color: #777;
  background: rgba(0, 0, 0, 0.05);
}
.toast-top-center {
  top: 60px;
}
#mainbody {
    width: 100%;
    min-height: auto;
    overflow: auto;
    background: #f1f6fd;
    color: #474157;
	padding: 40px;
}

@media (max-height: 500px) {
    #mainbody {
        height: inherit;
    }
}

@media (min-width: 768px) {
    .navbar-default {
        background-color: transparent;
        border-color: transparent;
    }

    #mainbody .index-text {
        text-align: left;
    }
}

@media (max-width: 767px) {

    #mainbody > .container > .text-center {
        padding: 130px 0 0 0;
        height: calc(100vh - 261px);
    }

    #mainbody > .container > .text-center > h1 {
        font-size: 50px;
        margin-bottom: 20px;
    }
}


.content-sidebar {
  font-size: 14px;
  color: #3b3c3e;
}

.content-sidebar.fixed {
  position: fixed;
  top: 45px;
  margin-top: 0;
}

.content-sidebar.fixed dl {
  margin: 10px 0 0;
}

.content-sidebar.absolute {
  position: absolute;
  bottom: 0;
}

.content-sidebar dl {
  position: relative;
  margin: -12px 0 0;
  padding-bottom: 20px;
}

.content-sidebar dl dt {
  position: absolute;
  top: 12px;
  left: -20px;
}

.content-sidebar dl .show-list {
  display: block;
  width: 16px;
  height: 16px;
  cursor: pointer;
}

.content-sidebar dl .show-list::before {
  content: '';
  display: block;
  width: 12px;
  height: 2px;
  background: #000;
  border-radius: 1px;
  position: absolute;
  top: 50%;
  margin-top: -1px;
}

.content-sidebar dl .show-list.add::after {
  content: '';
  display: block;
  width: 2px;
  height: 12px;
  background: #000;
  border-radius: 1px;
  position: absolute;
  left: 5px;
  top: 20%;
  margin-top: -1px;
}

.content-sidebar dd {
  margin: 0;
  padding: 6px 0;
  letter-spacing: 0.5px;
}

.content-sidebar dd a {
  color: #000;
  display: inline-block;
  padding: 2px 4px;
  transition: 0.1s;
  text-decoration: none;
  font-size:15px;
}

.content-sidebar dd a:hover {
  color: #fff;
  background: #ff5a00;
  border-radius: 3px;
  font-weight: bold;
}

.content-sidebar dd.current a {
  color: #ff5a00;
  background: transparent;
  font-weight: bold;
}



.runoob-item{
    margin: 0px;
    background: #fff;
    margin-bottom: 25px;
    border-radius: 5px;
    padding: 0 5px;
}
.runoob-item .col-xs-6{ padding: 0 5px; }
.anchor-link{ opacity: 0; position: relative; top: -80px } /* é”šé“¾æŽ¥ */
.runoob-item-name{
    color: #6b7184;
    font-size: 16px;
    font-weight: bold;
    display: block;
    border-bottom: 2px rgba(0,0,0,.02) solid;
    padding: 15px 0 10px 0;
    margin-bottom: 10px;
    position: relative;
}
.runoob-item-name .badge{
  font-size:15px;
}
.runoob-item .runoob-card{
    display: block;
    padding: 8px 8px;
    border-radius: 5px;
    overflow: hidden;
    margin-bottom: 10px;
    background: #f6f6f6;
    transition: all .3s;
    -moz-transition: all .3s;
    -webkit-transition: all .3s;
    -o-transition: all .3s;
    text-decoration: none;
}
.runoob-item .runoob-card .runoob-card-tit{
    height: 30px;
    font-size: 14px;
    font-weight:500;
    color: #183153;
    overflow: hidden;
    text-overflow: ellipsis;
    word-break: break-all;
    white-space: normal;
    transition: all .3s;
    -moz-transition: all .3s;
    -webkit-transition: all .3s;
    -o-transition: all .3s;
}
.runoob-item .runoob-card img{
    width: 30px;
    height: 30px;
    /*border-radius: 50%;*/
   /* margin-right: 10px;*/
}
.runoob-item .runoob-card .runoob-card-des{
    color: #8e8c84;
    font-weight: bold;
    font-size: 12px;
    padding-top: 2px;
    height: 26px;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    transition: all .3s;
    -moz-transition: all .3s;
    -webkit-transition: all .3s;
    -o-transition: all .3s;
    max-width: 18em;
    word-break: keep-all;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.runoob-item .runoob-card:hover{ background: #ffd43b; color:#183153; }
.runoob-custom{
  margin: 25px 0;
  padding: 0px;
  border-radius: 5px;
  background: #fff;
  overflow: hidden;
  position: relative;
}
.runoob-custom .runoob-item-name #runoob-custom-btn{ cursor: pointer }
.runoob-custom-item{
  overflow: hidden;
  margin: 0 -5px;
}
.runoob-custom-item li{
  width: calc(33.33333% - 10px);
  margin: 0 5px;
  float: left; 
  list-style: none;
}
.runoob-custom-item a.runoob-custom-link{
  background: #fafafa;
  display: block;
  position: relative;
  margin-bottom: 10px;
  padding-left: 6px;
  line-height: 45px;
  border-radius: 3px;
  font-size: 14px;
  color: #183153;
  font-weight: bold;
  overflow: hidden;
  text-decoration: none;
  cursor: pointer;
  text-overflow: ellipsis;
  white-space: nowrap;
  transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
}
.runoob-custom-item a.runoob-custom-link:hover{
  color: #FFF;
  font-size: 16px;
  font-weight: bold;
  background: #6b7184;
}
.runoob-custom-item a.runoob-custom-link::after{
display: none;
content: 'ä¿® æ”¹';
position: absolute;
left: 0;
top: 0;
width: 100%;
background: #6b7184;
font-size: 14px;
color: #FFF;
border-radius: 2px;
}

.runoob-customize{
  background: #6b7184;
  margin: 0px -20px;
  height: 0;
  line-height: 35px;
  text-align: center;
  overflow: hidden;
  transition: all .2s;
  -moz-transition: all .2s;
  -webkit-transition: all .2s;
  -o-transition: all .2s;
}
.runoob-customize li{
  display: inline-block;
  margin: 30px 15px;
  padding: 0 20px;
  color: rgba(255, 255, 255, 0.60);
  border: 2px solid rgba(255, 255, 255, 0.6);
  border-radius: 5px;
  cursor: pointer;
  transition: all .2s;
  -moz-transition: all .2s;
  -webkit-transition: all .2s;
  -o-transition: all .2s;
   

}
.runoob-customize #runoob-out{
  color: #6b7184;
  border-color: #fff;
  background: #fff
}
.runoob-customize li:hover{
  color: #6b7184;
  border-color: #fff;
  background: #fff
}

.footer {
    background-color: #222222;
    padding: 20px 0;
    color: rgba(255, 255, 255, 0.3);
    text-align: center;
}

.footer p {
    font-size: 14px;
    margin: 0;
}
